%global         momorel 2

Name:           perl-MouseX-Foreign
Version:        1.000
Release:        %{momorel}m%{?dist}
Summary:        Extends non-Mouse classes as well as Mouse classes
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MouseX-Foreign/
Source0:        http://www.cpan.org/authors/id/G/GF/GFUJI/MouseX-Foreign-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008001
BuildRequires:  perl-Any-Moose >= 0.15
BuildRequires:  perl-Module-Build
## BuildRequires is looped...
BuildRequires:  perl-Mouse >= 0.77
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Simple >= 0.88
BuildRequires:  perl-Test-Requires
Requires:       perl-Mouse >= 0.77
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
MouseX::Foreign provides an ability for Mouse classes to extend any
classes, including non-Mouse classes, including Moose classes.

%prep
%setup -q -n MouseX-Foreign-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes cpanfile LICENSE META.json README.md
%{perl_vendorlib}/MouseX/Foreign.pm
%{perl_vendorlib}/MouseX/Foreign
%{perl_vendorlib}/MouseX/NonMoose.pm
%{perl_vendorlib}/MouseX/NonMoose
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000-2m)
- rebuild against perl-5.20.0

* Sun Apr 13 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.000-1m)
- update to 1.000

* Sun Mar  9 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.008-1m)
- update to 0.008

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-6m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-5m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-4m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-3m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-2m)
- rebuild against perl-5.16.2

* Thu Aug 23 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.007-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
